
TYPO3.TypoScript - Feature # 454

Status: Closed Priority: Should have
Author: Jochen Rau Category: _old
Created: 2008-04-06 Assigned To: Karsten Dambekalns
Updated: 2012-07-13 Due date:
Subject: processor_crop should provide at least all TYPO3v4 options
Description

In TYPO3v4 there is an option to crop from right:
"Syntax: +/- (chars) = from left / from right | [string] | [boolean: keep whole words]" (TSRef)

In the actual implementation of the processor_crop cropping is possible from left and right but chars are only counted from left. IMO
there should be three parameters:

CROP_AT: Char|Word|Sentence
CROP_FROM: right|left
COUNT_CHARS_FROM: left|right

The first option should be default.

- Jochen

History
#1 - 2008-04-07 10:53 - Jochen Rau

I added this feature wish to the wrong project, sorry. Should be TYPO3.
The last parameter should be named COUNT_FROM, because not only chars can be counted.

CROP_AT: Char|Word|Sentence
CROP_FROM: right|left|both
COUNT_FROM: left|right

CROP_FROM: both enables to crop at a given offset position and produces "google-style" crops like "... foo bar JohnDoe foo bar ...".

#2 - 2012-07-04 11:25 - Sebastian Kurfuerst
- Category set to _old

#3 - 2012-07-13 16:20 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#4 - 2012-07-13 16:21 - Karsten Dambekalns
- Status changed from New to Closed
